using System;
using System.Threading.Tasks;
using Code.Utils;

namespace Code.Domain
{
    public class LoginUseCase : LoginRequester
    {
        
        public async Task Login()
        {
            await Task.Delay(TimeSpan.FromSeconds(2));

            var userData = new UserData("The Power Ups - Learning");

            EventDispatcherService.Instance.Dispatch(userData);
        }
    }
}